<?xml version="1.0" encoding="utf-8"?>
<com.qmuiteam.qmui.widget.QMUIWindowInsetLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".modules.home.fragment.from.DiyActivity"
    android:orientation="vertical"
    android:background="@color/app_color_blue"
    android:fitsSystemWindows="true"
    app:qmui_skin_background="?attr/app_skin_common_background">

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginTop="?attr/qmui_topbar_height"
        android:background="@color/qmui_config_color_white">
        <ScrollView
            android:layout_width="match_parent"
            android:layout_height="match_parent">
            <LinearLayout
                android:layout_marginLeft="30dp"
                android:layout_marginRight="30dp"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                >
                <LinearLayout
                    android:layout_marginTop="@dimen/dp_10"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">
                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:orientation="vertical">
                        <RelativeLayout
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:background="@color/color1">

                            <ImageView
                                android:id="@+id/cpfm"
                                android:layout_width="160dp"
                                android:layout_height="100dp"
                                android:layout_marginStart="3dp"
                                android:layout_marginTop="3dp"
                                android:layout_marginEnd="3dp"
                                android:layout_marginBottom="3dp"
                                android:src="@mipmap/loading3" />
                        </RelativeLayout>
                        <TextView
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:textAlignment="center"
                            android:text="菜谱封面"/>
                    </LinearLayout>

                    <LinearLayout
                        android:layout_marginLeft="@dimen/dp_40"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:orientation="vertical">
                        <LinearLayout
                            android:layout_marginTop="@dimen/dp_10"
                            android:layout_marginBottom="12dp"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content">
                            <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="菜谱名称："/>
                            <!--账号输入框-->
                            <EditText
                                android:id="@+id/edittext"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:layout_marginLeft="5dp"
                                android:background="@drawable/input_bj"
                                android:hint="请输入菜谱名称"
                                android:inputType="text"
                                android:maxLines="1"
                                android:padding="3dp"
                                android:textSize="12dp" />
                        </LinearLayout>
                        <LinearLayout
                            android:layout_marginBottom="12dp"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content">
                            <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="制作时长："/>
                            <!--账号输入框-->
                            <EditText
                                android:id="@+id/zzsc"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:layout_marginLeft="5dp"
                                android:background="@drawable/input_bj"
                                android:hint="请输入制作时长"
                                android:inputType="number"
                                android:maxLines="1"
                                android:padding="3dp"
                                android:textSize="12dp"
                                android:text="0"/>
                        </LinearLayout>

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content">
                            <CheckBox
                                android:layout_marginLeft="70dp"
                                android:id="@+id/check"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:buttonTint="@color/radiusImageView_selected_mask_color"
                                android:text="默认收藏"/>
                        </LinearLayout>
                    </LinearLayout>
                </LinearLayout>
                <!--边框分割细线-->
                <LinearLayout
                    android:layout_alignParentBottom="true"
                    android:layout_width="match_parent"
                    android:layout_height="1dp"
                    android:layout_marginBottom="@dimen/dp_10"
                    android:background="@color/color3" />
                <LinearLayout android:layout_width="match_parent"
                    android:layout_height="400dp">
                    <RelativeLayout
                        android:layout_width="160dp"
                        android:layout_height="wrap_content">

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:orientation="vertical">
                            <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:orientation="horizontal">
                                <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="步骤："/>
                                <Button
                                    android:id="@+id/shangyi"
                                    android:layout_width="50dp"
                                    android:layout_height="26dp"
                                    android:background="@drawable/button"
                                    android:text="上移"
                                    android:textColor="@color/black"
                                    android:textSize="14dp"/>
                                <Button
                                    android:id="@+id/xiayi"
                                    android:layout_marginLeft="@dimen/dp_10"
                                    android:layout_width="50dp"
                                    android:layout_height="26dp"
                                    android:background="@drawable/button"
                                    android:text="下移"
                                    android:textColor="@color/black"
                                    android:textSize="14dp"/>
                            </LinearLayout>
                            <ListView
                                android:id="@+id/datatab_gxbz"
                                android:layout_width="match_parent"
                                android:layout_height="match_parent"
                                android:divider="#00000000"
                                android:layout_marginTop="10dp"
                                android:layout_marginBottom="@dimen/dp_40"
                                android:dividerHeight="3dp" />
                        </LinearLayout>

                        <Button
                            android:id="@+id/caozuomoshi"
                            android:layout_centerHorizontal="true"
                            android:layout_alignParentBottom="true"
                            android:layout_width="wrap_content"
                            android:layout_height="26dp"
                            android:background="@drawable/button1"
                            android:text="操作模式"
                            android:textColor="@color/black"
                            android:textSize="14dp"/>
                    </RelativeLayout>

                    <RelativeLayout
                        android:layout_marginLeft="@dimen/dp_10"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content">
                        <!--边框分割细线-->
                        <RelativeLayout
                            android:layout_alignParentLeft="true"
                            android:layout_width="@dimen/dp_10"
                            android:layout_height="match_parent">

                            <LinearLayout
                                android:layout_width="1dp"
                                android:layout_height="match_parent"
                                android:layout_centerInParent="true"
                                android:layout_marginTop="@dimen/dp_40"
                                android:layout_marginBottom="@dimen/dp_40"
                                android:background="@color/color3" />
                        </RelativeLayout>

                        <LinearLayout
                            android:layout_marginLeft="@dimen/dp_10"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:orientation="vertical">

                            <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:orientation="horizontal">
                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="烹饪工序："/>
                                <Spinner
                                    android:id="@+id/hrgx"
                                    style="@style/commonSpinnerStyle"
                                    android:layout_width="match_parent"
                                    android:layout_height="24dp"
                                    android:layout_centerVertical="true"
                                    />
                            </LinearLayout>

                            <ScrollView
                                android:layout_width="match_parent"
                                android:layout_marginBottom="40dp"
                                android:layout_marginTop="20dp"
                                android:layout_height="match_parent">
                                <LinearLayout
                                    android:id="@+id/gxchid"
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:orientation="vertical">
                                </LinearLayout>
                            </ScrollView>

                        </LinearLayout>

                        <LinearLayout
                            android:layout_marginTop="@dimen/dp_10"
                            android:layout_marginLeft="@dimen/dp_10"
                            android:layout_alignParentBottom="true"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content">
                            <Button
                                android:id="@+id/add_hrgx"
                                android:layout_width="50dp"
                                android:layout_height="26dp"
                                android:background="@drawable/button1"
                                android:text="添加"
                                android:textColor="@color/black"
                                android:textSize="14dp"/>
                            <Button
                                android:id="@+id/update_gx"
                                android:layout_marginLeft="@dimen/dp_10"
                                android:layout_width="50dp"
                                android:layout_height="26dp"
                                android:background="@drawable/button"
                                android:text="修改"
                                android:textColor="@color/black"
                                android:textSize="14dp"/>
                            <Button
                                android:id="@+id/delete_gx"
                                android:layout_marginLeft="@dimen/dp_10"
                                android:layout_width="50dp"
                                android:layout_height="26dp"
                                android:background="@drawable/button"
                                android:text="删除"
                                android:textColor="@color/black"
                                android:textSize="14dp"/>
                        </LinearLayout>
                    </RelativeLayout>

                </LinearLayout>
                <RelativeLayout
                    android:layout_marginTop="30dp"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginBottom="30dp">
                    <Button
                        android:id="@+id/shengchengcaipu"
                        android:layout_width="match_parent"
                        android:layout_height="45dp"
                        android:background="@drawable/bg_btn_login_selected"
                        android:text="生成菜谱"
                        android:textColor="@color/white"
                        android:textSize="18sp"/>
                </RelativeLayout>
            </LinearLayout>
        </ScrollView>
<!--        <RelativeLayout-->
<!--            android:layout_alignParentBottom="true"-->
<!--            android:layout_width="match_parent"-->
<!--            android:layout_height="wrap_content"-->
<!--            android:layout_marginLeft="10dp"-->
<!--            android:layout_marginRight="10dp">-->
<!--            <com.youth.banner.Banner-->
<!--                android:id="@+id/Banner_Main"-->
<!--                android:layout_width="match_parent"-->
<!--                android:layout_height="160dp"-->
<!--                android:layout_gravity="center"-->
<!--                app:image_scale_type="fit_xy"-->
<!--                app:indicator_height="10dp"-->
<!--                app:indicator_margin="5dp"-->
<!--                app:indicator_width="10dp" />-->
<!--        </RelativeLayout>-->
    </RelativeLayout>

    <com.qmuiteam.qmui.widget.QMUITopBarLayout
        android:id="@+id/topbar"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/app_color_blue"/>
</com.qmuiteam.qmui.widget.QMUIWindowInsetLayout>